How to Disable Drag and Drop in Angular Document Editor

3 May 20251 minute to read

Document Editor provides support to drag and drop contents within the component and it can be customized(enable and disable) using allowDragAndDrop property in Document editor settings.

The following example illustrates to customize the drag and drop option.

@Component({
      template: `<ejs-documenteditorcontainer serviceUrl="https://services.syncfusion.com/angular/production/api/documenteditor/" height="600px" [enableToolbar]=true [documentEditorSettings]="settings"> </ejs-documenteditorcontainer>`,
})
export class AppComponent{
    public settings: DocumentEditorSettingsModel = { allowDragAndDrop : false };
}

Note: Default value of allowDragAndDrop property is true.

The following example illustrates to disable the drag and drop option in DocumentEditor.

@Component({
      template: `<ejs-documenteditor #document_editor height="330px" [enablePrint]=true [documentEditorSettings]="settings"></ejs-documenteditor>`,
})
export class AppComponent{
    public settings: DocumentEditorSettingsModel = { allowDragAndDrop : false };
}

The Web API hosted link https://services.syncfusion.com/angular/production/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

Note: Default value of allowDragAndDrop property is true.

How to disable drag and drop in document editor in vue Document editor component

3 May 20253 minutes to read

Document Editor provides support to drag and drop contents within the component and it can be customized(enable and disable) using allowDragAndDrop property in Document editor settings.

The following example illustrates to customize the drag and drop option.

<template>
  <ejs-documenteditorcontainer ref="doceditcontainer" :serviceUrl="hostUrl" :enableToolbar='true' height='600px'
    :documentEditorSettings="settings"></ejs-documenteditorcontainer>
</template>

<script setup>
import { DocumentEditorContainerComponent as EjsDocumenteditorcontainer } from '@syncfusion/ej2-vue-documenteditor';

const hostUrl = 'https://services.syncfusion.com/vue/production/api/documenteditor/';
const settings = { allowDragAndDrop: false };
</script>
<template>
  <ejs-documenteditorcontainer ref="doceditcontainer" :serviceUrl="hostUrl" :enableToolbar='true' height='600px'
    :documentEditorSettings="settings"></ejs-documenteditorcontainer>
</template>

<script>
import { DocumentEditorContainerComponent } from '@syncfusion/ej2-vue-documenteditor';

export default {
  components: {
    'ejs-documenteditorcontainer': DocumentEditorContainerComponent
  },
  data: function () {
    return {
      hostUrl: 'https://services.syncfusion.com/vue/production/api/documenteditor/',
      settings: { allowDragAndDrop: false }
    }
  }
}
</script>

The Web API hosted link https://services.syncfusion.com/vue/production/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

Note: Default value of allowDragAndDrop property is true.

The following example illustrates to disable the drag and drop option in DocumentEditor.

<template>
  <ejs-documenteditor ref="docedit" height='600px' :documentEditorSettings="settings"></ejs-documenteditor>
</template>

<script setup>
import { DocumentEditorComponent as EjsDocumenteditor } from "@syncfusion/ej2-vue-documenteditor";

const hostUrl = 'https://services.syncfusion.com/vue/production/api/documenteditor/';
const settings = { allowDragAndDrop: false };

</script>
<template>
  <ejs-documenteditor ref="docedit" height='600px' :documentEditorSettings="settings"></ejs-documenteditor>  
</template>

<script>
import { DocumentEditorComponent } from "@syncfusion/ej2-vue-documenteditor";

export default {
  components: {
    'ejs-documenteditor': DocumentEditorComponent
  },
  data: function() {
      return {
        hostUrl : 'https://services.syncfusion.com/vue/production/api/documenteditor/',
        settings : { allowDragAndDrop: false }
      }
  }
}
</script>

The Web API hosted link https://services.syncfusion.com/vue/production/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

Note: Default value of allowDragAndDrop property is true.